.header {
    padding: 16px 0;

    @media (max-width: 1024px) {
        background-color: $main-0;
        position: fixed;
        width: 100%;
        z-index: 3;
        border-bottom: 1px solid $main-4;
    }

    @media (max-width: 576px) {
        padding: 12px 0;
    }

    .no-aside-logo {
        display: none;
        width: 96px;
        height: 48px;

        @media (max-width: 1024px) {
            position: absolute;
            width: 64px;
            height: 32px;
        }
    }

    .header__wrapper {
        display: flex;
        grid-gap: 16px;
        transition: 0.3s ease;

        @media (max-width: 1024px) {
            flex-direction: column;
        }

        @media (max-width: 576px) {
            grid-gap: 8px;
        }

        .menu__mobile {
            display: none;

            @media (max-width: 1024px) {
                display: flex;
                justify-content: space-between;
            }
        }

        .search__wrapper {
            position: relative;
            width: 100%;
            top: inherit;
            z-index: 3;
            visibility: visible;
            opacity: 1;

            .search__input {
                @include searchInput;
            }

            .icon__search {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                right: 12px;
                background-color: $main-0;
            }

            .loupe__search.hidden {
                display: none;
            }

            .close__search {
                display: none;
            }

            .close__search.active {
                display: flex;
            }

            .search__datalist {
                position: absolute;
                display: block;
                overflow: hidden;
                border: 1px solid $main-4;
                border-radius: 0 0 8px 8px;
                border-top: none;
                opacity: 0;
                visibility: hidden;
                width: inherit;
                transition: 0.3s ease;
               
                @media (max-width: 1280px) {
                    width: 720px;
                    top: 70px;

                    .datalist__title {
                        border-top: 1px solid $main-4;
                    }
                }

                @media (max-width: 1024px) {
                    width: 100%;
                    top: auto;

                    .datalist__title {
                        border-top: none;
                    }

                }

                .option__list {
                    .option__wrapper {
                        display: block;
                        position: relative;
                        border-top: 1px solid $main-4;
                        background-color: $main-0;

                        &:hover {
                            background-color: $main-4;
                        }

                        .select__item {
                            position: absolute;
                            width: 100%;
                            height: 100%;
                            top: 0;
                            left: 0;
                            right: 0;
                            bottom: 0;
                            cursor: pointer;
                        }

                        .option__custom {
                            display: flex;
                            justify-content: space-between;
                            grid-gap: 8px;
                            padding: 8px 16px 8px 8px;
                            
                            .option__subwrapper {
                                display: flex;
                                grid-gap: 8px;
                            }


                            .option__price {
                                @include f14w400M8;
                                display: flex;
                                align-items: center;
                                white-space: nowrap;

                                @media (max-width: 425px) {
                                    font-size: 12px;
                                    font-weight: 500;
                                }
                            }
                        }

                        .show-results {
                            justify-content: center; 
                            padding: 16px;
                            @include f14w400M8;
                        }
                    }

                    .show-results {
                        &:hover {
                            background-color: $main-7;
                            
                            .show-results  {
                                color: $main-0;
                            }
                        }
                    }
                }
            }

            .search__datalist.active {
                opacity: 1;
                visibility: visible;
                -webkit-box-shadow: 0px 18px 23px 4px rgba(34, 60, 80, 0.2);
                -moz-box-shadow: 0px 18px 23px 4px rgba(34, 60, 80, 0.2);
                box-shadow: 0px 18px 23px 4px rgba(34, 60, 80, 0.2);
            }
        }

        // .search__wrapper.hidden {
        //     @media (max-width: 1024px) {
        //         position: absolute;
        //         width: 100%;
        //         left: 0;
        //         top: 0;
        //         z-index: -1;
        //         visibility: hidden;
        //         opacity: 0;
        //     }
        // }

        .menu__navigation {
            display: flex;
            grid-gap: 16px;

            @media (max-width: 1024px) {
                background-color: $main-0;
                position: fixed;
                z-index: 3;
                justify-content: space-around;
                width: 100%;
                bottom: 0;
                left: 0;
                border-top: 1px solid $main-4;
            }
            
            .menu__component {
                @include menuComponent;
            }

            .catalog__button {
                display: none;
                width: auto;

                @media (max-width: 1024px) {
                    display: flex;
                }
            }

            .notification__button {
                @include notificationButton;

                @media (max-width: 1024px) {
                    display: none;
                }
            }

            .support__link {
                @media (max-width: 1024px) {
                    display: none;
                }
            }

            .cart__link {
                @include cartLink;
            }
        }
    }

    .header__wrapper.scroll {
        flex-direction: row;

        .menu__mobile {
            .logo__link {
                display: none;
            }

            .notification__button {
                display: none;
            }
        }
    }
}